## Index

### Classes

- ButtonIconImp

### Interfaces

- Classes
- InjectSheetProps

### Type aliases

- ButtonIconProps

### Variables

- ButtonIcon

### Object literals

- positionStyle
- styles

## Type aliases

### ButtonIconProps

ButtonIconProps: ButtonProps & object

- Defined in components/ButtonIcon/index.tsx:7

## Variables

### Const ButtonIcon

ButtonIcon: ComponentClass<ButtonOwnProps & HTMLProps<HTMLButtonElement> & object, any> | StatelessComponent<ButtonOwnProps & HTMLProps<HTMLButtonElement> & object> = injectSheet(styles)(ButtonIconImp) as unknown as React.ComponentType<ButtonIconProps>

- Defined in components/ButtonIcon/index.tsx:124

## Object literals

### Const positionStyle

positionStyle: object

- Defined in components/ButtonIcon/index.tsx:25

### Left

Left: object

- Defined in components/ButtonIcon/index.tsx:26

### flexDirection

flexDirection: string = "row"

- Defined in components/ButtonIcon/index.tsx:27

### padding

padding: string = "0 10px 0 0"

- Defined in components/ButtonIcon/index.tsx:28

### Right

Right: object

- Defined in components/ButtonIcon/index.tsx:30

### flexDirection

flexDirection: string = "row-reverse"

- Defined in components/ButtonIcon/index.tsx:31

### padding

padding: string = "0 0 0 10px"

- Defined in components/ButtonIcon/index.tsx:32

### Const styles

styles: object

- Defined in components/ButtonIcon/index.tsx:36

### button

button: object

- Defined in components/ButtonIcon/index.tsx:37

### paddingLeft

paddingLeft: number = 0

- Defined in components/ButtonIcon/index.tsx:38

### padding

- padding(__namedParameters: object): string

- - Defined in components/ButtonIcon/index.tsx:39

  #### Parameters

  - ##### __namedParameters: object

    - ##### iconPosition: undefined | "Left" | "Right"

  #### Returns string

### iconAndTextSpan

iconAndTextSpan: object

- Defined in components/ButtonIcon/index.tsx:41

### display

display: string = "flex"

- Defined in components/ButtonIcon/index.tsx:42

### verticalAlign

verticalAlign: string = "top"

- Defined in components/ButtonIcon/index.tsx:44

### flexDirection

- flexDirection(__namedParameters: object): string

- - Defined in components/ButtonIcon/index.tsx:43

  #### Parameters

  - ##### __namedParameters: object

    - ##### iconPosition: undefined | "Left" | "Right"

  #### Returns string

Generated using TypeDoc